# findMixinArguments<I> abstract method

List<Class> findMixinArguments<I>(

1. Class parentClass, [
2. bool declared = true

])

Retrieves the type arguments for a specific mixin applied to a class.

Type Parameters:

- `I`: The mixin type to match.

Parameters:

- `parentClass`: The class whose mixin arguments should be found.
- `declared`: Whether to include inherited mixins (default: `true`).

Returns:

- A list of Class instances representing the type arguments.

## Example

    final exampleClass = await loader.loadClass<MyClass>('package:example/test.dart.MyClass');
    final mixinArgs = loader.findMixinArguments<SomeMixin>(exampleClass);

## Implementation

    List<Class> findMixinArguments<I>(Class parentClass, [bool declared = true]);